Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bmserv.model.handlers
Class UserHandler

    java.lang.Object
      bmserv.model.handlers.UserHandler

    public class UserHandler

extends java.lang.Object

Gestion des instances de `User`. `UserHandler` implemente les methodes CRUD sur les `Users`.

Author:
  ndelafor

Constructor Summary
`UserHandler()`

Method Summary
`void` | `createUser(java.lang.String login, java.lang.String lastname, java.lang.String firstname)` Cré d'un nouvel utilisateur.
`User` | `getUserFromId(java.lang.String userid)` Permet de récupérer l'instance d'un utilisateur à partir de son ID
`User` | `getUserFromLogin(java.lang.String login)` Permet de récupérer l'instance d'un utilisateur à partir de son login
`java.util.List<User>` | `getUsers()` Renvoie la liste de tous les utilisateurs
`void` | `print()` Methode utilitaire pour afficher le nombre d'éléments contenus dans la liste.
`boolean` | `removeUserFromId(java.lang.String userid)` Permet de supprimer un utilisateur existant à partir de son ID
`boolean` | `removeUserFromLogin(java.lang.String login)` Permet de supprimer un utilisateur existant à partir de son login
`void` | `updateUser(java.lang.String userid, java.lang.String login, java.lang.String lastname, java.lang.String firstname)` Mise à jour des propriétés d'un utilisateur existant.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserHandler

    public UserHandler()

Method Detail

### createUser

    public void createUser(java.lang.String login,
                           java.lang.String lastname,
                           java.lang.String firstname)
                    throws java.io.UnsupportedEncodingException

  Cré d'un nouvel utilisateur.

  Parameters:
    `login` - login de l'utilisateur, celui ci doit être unique.
    `lastname` - nom de famille de l'utilisateur
    `firstname` - prénom de l'utilisateur
  Throws:
    `java.io.UnsupportedEncodingException`

### getUsers

    public java.util.List<User> getUsers()

  Renvoie la liste de tous les utilisateurs

  Returns:
    liste

### getUserFromId

    public User getUserFromId(java.lang.String userid)

  Permet de récupérer l'instance d'un utilisateur à partir de son ID

  Parameters:
    `userid` - ID de l'utilisateur à récupérer
  Returns:
    l'utilisateur correspondant

### getUserFromLogin

    public User getUserFromLogin(java.lang.String login)

  Permet de récupérer l'instance d'un utilisateur à partir de son login

  Parameters:
    `login` - le login de l'utilisateur à récupérer
  Returns:
    l'utilisateur correspondant

### updateUser

    public void updateUser(java.lang.String userid,
                           java.lang.String login,
                           java.lang.String lastname,
                           java.lang.String firstname)

  Mise à jour des propriétés d'un utilisateur existant.

  Parameters:
    `userid` - ID de l'utilisateur à mettre à jour
    `lastname` - nouveau nom de famille
    `firstname` - nouveau prénom

### removeUserFromId

    public boolean removeUserFromId(java.lang.String userid)

  Permet de supprimer un utilisateur existant à partir de son ID

  Parameters:
    `userid` - ID de l'utilisateur à supprimer
  Returns:
    `true` si l'utilisateur a été trouvé et `false` sinon

### removeUserFromLogin

    public boolean removeUserFromLogin(java.lang.String login)

  Permet de supprimer un utilisateur existant à partir de son login

  Parameters:
    `login` - login de l'utilisateur à supprimer
  Returns:
    `true` si l'utilisateur a été trouvé et `false` sinon

### print

    public void print()

  Methode utilitaire pour afficher le nombre d'éléments contenus dans la liste.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD